import {Component, Input} from '@angular/core';
import {GameModel} from "../game-model/GameModel";
import {ModelComponent} from "../game-model/ModelComponent";

@Component({
  selector: 'app-editor',
  templateUrl: './editor.component.html',
  styleUrl: './editor.component.scss'
})
export class EditorComponent {
  gameModelComponents: ModelComponent[] = [];

  openGameModelComponent(gameModelComponent: ModelComponent) {
    if(!this.gameModelComponents.includes(gameModelComponent)) {
      this.gameModelComponents.push(gameModelComponent);
    }
  }

  closeGameModelComponent(gameModelComponent: ModelComponent) {
    this.gameModelComponents = this.gameModelComponents.filter(modelComponent => modelComponent !== gameModelComponent);
  }

}
